Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface PropertyValueType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface PropertyValueType

extends XmlObject

An XML propertyValueType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `PropertyValueType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`DataTypeSerializedValueType` | `addNewValue()` Appends and returns a new empty "value" element
`String` | `getPropertyName()` Gets the "propertyName" element
`DataTypeSerializedValueType` | `getValue()` Gets the "value" element
`void` | `setPropertyName(String propertyName)` Sets the "propertyName" element
`void` | `setValue(DataTypeSerializedValueType value)` Sets the "value" element
`XmlString` | `xgetPropertyName()` Gets (as xml) the "propertyName" element
`void` | `xsetPropertyName(XmlString propertyName)` Sets (as xml) the "propertyName" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getPropertyName

    String getPropertyName()

  Gets the "propertyName" element

### xgetPropertyName

    XmlString xgetPropertyName()

  Gets (as xml) the "propertyName" element

### setPropertyName

    void setPropertyName(String propertyName)

  Sets the "propertyName" element

### xsetPropertyName

    void xsetPropertyName(XmlString propertyName)

  Sets (as xml) the "propertyName" element

### getValue

    DataTypeSerializedValueType getValue()

  Gets the "value" element

### setValue

    void setValue(DataTypeSerializedValueType value)

  Sets the "value" element

### addNewValue

    DataTypeSerializedValueType addNewValue()

  Appends and returns a new empty "value" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD